Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class MetaMethodIndex.Header

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Header

    public static class MetaMethodIndex.Header

Field Summary
`int` | `clsHashCode31`
`Entry` | `head`
`Class` | `subclass`

Constructor Summary
`MetaMethodIndex.Header(Class cls)`
`MetaMethodIndex.Header(Class cls, Class subclass)`

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### clsHashCode31

    public int clsHashCode31

### head

    public Entry head

### subclass

    public Class subclass

Constructor Detail

### MetaMethodIndex.Header

    public MetaMethodIndex.Header(Class cls)

### MetaMethodIndex.Header

    public MetaMethodIndex.Header(Class cls, Class subclass)

Copyright © 2003-2010 The Codehaus. All rights reserved.